Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.util
Class FastMap.Entry<K,V>

    java.lang.Object
      javolution.util.FastMap.Entry<K,V>

All Implemented Interfaces:
  java.util.Map.Entry<K,V>, Realtime, FastCollection.Record

Enclosing class:
  FastMap<K,V>

    public static class FastMap.Entry<K,V>

extends java.lang.Object
implements java.util.Map.Entry<K,V>, FastCollection.Record, Realtime

This class represents a `FastMap` entry. Custom `FastMap` may use a derived implementation. For example:``

        static class MyMap<K,V,X> extends FastMap<K,V> {
            protected MyEntry newEntry() {
                return new MyEntry();
            }
            class MyEntry extends Entry<K,V> {
                X xxx; // Additional entry field (e.g. cross references).
            }
        }

Field Summary
`static FastMap.Entry` | `NULL` Holds NULL entries (to fill empty hole).

Constructor Summary
`protected` | `FastMap.Entry()` Default constructor.

Method Summary
`boolean` | `equals(java.lang.Object that)` Indicates if this entry is considered equals to the specified entry (using default value and key equality comparator to ensure symetry).
`K` | `getKey()` Returns the key for this entry.
`FastMap.Entry<K,V>` | `getNext()` Returns the entry after this one.
`FastMap.Entry<K,V>` | `getPrevious()` Returns the entry before this one.
`V` | `getValue()` Returns the value for this entry.
`int` | `hashCode()` Returns the hash code for this entry.
`V` | `setValue(V value)` Sets the value for this entry.
`Text` | `toText()` Returns the textual representation of this real-time object (equivalent to `toString` except that the returned value can be `"stack"` allocated and supports fast concatenation).

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final FastMap.Entry NULL

  Holds NULL entries (to fill empty hole).

Constructor Detail

### FastMap.Entry

    protected FastMap.Entry()

  Default constructor.

Method Detail

### getNext

    public final FastMap.Entry<K,V> getNext()

  Returns the entry after this one.

  Specified by:
    `getNext` in interface `FastCollection.Record`
  Returns:
    the next entry.

### getPrevious

    public final FastMap.Entry<K,V> getPrevious()

  Returns the entry before this one.

  Specified by:
    `getPrevious` in interface `FastCollection.Record`
  Returns:
    the previous entry.

### getKey

    public final K getKey()

  Returns the key for this entry.

  Specified by:
    `getKey` in interface `java.util.Map.Entry<K,V>`
  Returns:
    the entry key.

### getValue

    public final V getValue()

  Returns the value for this entry.

  Specified by:
    `getValue` in interface `java.util.Map.Entry<K,V>`
  Returns:
    the entry value.

### setValue

    public final V setValue(V value)

  Sets the value for this entry.

  Specified by:
    `setValue` in interface `java.util.Map.Entry<K,V>`
  Parameters:
    `value` - the new value.
  Returns:
    the previous value.

### equals

    public boolean equals(java.lang.Object that)

  Indicates if this entry is considered equals to the specified entry (using default value and key equality comparator to ensure symetry).

  Specified by:
    `equals` in interface `java.util.Map.Entry<K,V>`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `that` - the object to test for equality.
  Returns:
    `true`if both entry have equal keys and values. `false`otherwise.````

### hashCode

    public int hashCode()

  Returns the hash code for this entry.

  Specified by:
    `hashCode` in interface `java.util.Map.Entry<K,V>`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    this entry hash code.

### toText

    public Text toText()

  Description copied from interface: `Realtime`
  Returns the textual representation of this real-time object (equivalent to `toString` except that the returned value can be `"stack"` allocated and supports fast concatenation).

  Specified by:
    `toText` in interface `Realtime`
  Returns:
    this object's textual representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2009 Javolution.